Mail::Message::Convert::HtmlFormatPS(3)

NAME
Mail::Message::Convert::HtmlFormatPS - Convert HTML into PostScript

INHERITANCE
 Mail::Message::Convert::HtmlFormatPS
   is a Mail::Message::Convert
   is a Mail::Reporter

SYNOPSIS
 use Mail::Message::Convert::HtmlFormatPS;
 my $af = Mail::Message::Convert::HtmlFormatPS->new;

 my $postscript = $af->format($body);

DESCRIPTION
Translate an HTML/XHTML message body into a postscript body using HTML::FormatPS.

Extends "DESCRIPTION" in Mail::Message::Convert.

METHODS
Extends "METHODS" in Mail::Message::Convert.

  Constructors
Extends "Constructors" in Mail::Message::Convert.

Mail::Message::Convert::HtmlFormatPS->new(%options)
    %options which start with capitals are blindly passed to HTML::FormatPS. As of this writing, that package defines BottomMargin, FontFamily, FontScale, HorizontalMargin, Leading, LeftMargin, PageNo, PaperHeight, PaperSize, PaperWidth, RightMargin, TopMargin, and VerticalMargin.

     -Option--Defined in            --Default
      fields  Mail::Message::Convert  <not used>
      log     Mail::Reporter          'WARNINGS'
      trace   Mail::Reporter          'WARNINGS'

    fields => NAMES|ARRAY-OF-NAMES|REGEXS
    log => LEVEL
    trace => LEVEL

  Converting
Extends "Converting" in Mail::Message::Convert.

$obj->format($body)
    Pass an html/xhtml encoded body, and a plain text body is returned. Characters are translated into Latin1.

$obj->selectedFields($head)
    Inherited, see "Converting" in Mail::Message::Convert

  Error handling
Extends "Error handling" in Mail::Message::Convert.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->addReport($object)
    Inherited, see "Error handling" in Mail::Reporter

$obj->defaultTrace( [$level]|[$loglevel, $tracelevel]|[$level, $callback] )
Mail::Message::Convert::HtmlFormatPS->defaultTrace( [$level]|[$loglevel, $tracelevel]|[$level, $callback] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->errors()
    Inherited, see "Error handling" in Mail::Reporter

$obj->log( [$level, [$strings]] )
Mail::Message::Convert::HtmlFormatPS->log( [$level, [$strings]] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->logPriority($level)
Mail::Message::Convert::HtmlFormatPS->logPriority($level)
    Inherited, see "Error handling" in Mail::Reporter

$obj->logSettings()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

$obj->report( [$level] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->reportAll( [$level] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->trace( [$level] )
    Inherited, see "Error handling" in Mail::Reporter

$obj->warnings()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Message::Convert.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Reporter

DIAGNOSTICS

Error: Package $package does not implement $method.
    Fatal error: the specific package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package.

SEE ALSO
This module is part of Mail-Message distribution version 3.016, built on November 27, 2024. Website: http://perl.overmeer.net/CPAN/

LICENSE
Copyrights 2001-2024 by [Mark Overmeer <markov@cpan.org>]. For other contributors see ChangeLog.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See http://dev.perl.org/licenses/